# Uses of Interface
org.eclipse.core.databinding.observable.sideeffect.ISideEffectFactory

Packages that use ISideEffectFactory
Package
Description
org.eclipse.core.databinding.observable.sideeffect
org.eclipse.jface.databinding.swt
Provides classes that can be used to observe changes in SWT widgets.

## Uses of ISideEffectFactory in org.eclipse.core.databinding.observable.sideeffect

Methods in org.eclipse.core.databinding.observable.sideeffect that return ISideEffectFactory
Modifier and Type
Method
Description
`static ISideEffectFactory`
ISideEffectFactory.`createFactory(Consumer<ISideEffect> sideEffectConsumer)`
Creates a new `ISideEffectFactory` which will notify the given `Consumer` of every `ISideEffect` that is constructed by the factory.

## Uses of ISideEffectFactory in org.eclipse.jface.databinding.swt

Methods in org.eclipse.jface.databinding.swt that return ISideEffectFactory
Modifier and Type
Method
Description
`static ISideEffectFactory`
WidgetSideEffects.`createFactory(Widget disposableWidget)`
Creates an `ISideEffectFactory` which will dispose all created `ISideEffect` instances automatically in case the given `Widget` is disposed.